Package com.google.protobuf

# Class UnknownFieldSet.Parser

java.lang.Object
com.google.protobuf.AbstractParser<UnknownFieldSet>
com.google.protobuf.UnknownFieldSet.Parser

All Implemented Interfaces:
  `Parser<UnknownFieldSet>`

Enclosing class:
  `UnknownFieldSet`

public static final class UnknownFieldSet.Parser extends AbstractParser<UnknownFieldSet>
Parser to implement MessageLite interface.

## Constructor Summary

Constructors
Constructor
Description
`Parser()`

## Method Summary

Modifier and Type
Method
Description
`UnknownFieldSet`
`parsePartialFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `Parser.parseFrom(CodedInputStream input, ExtensionRegistryLite)`, but does not throw an exception if the message is missing required fields.

### Methods inherited from class com.google.protobuf.AbstractParser

`parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialDelimitedFrom, parsePartialDelimitedFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom, parsePartialFrom`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parser

public Parser()

## Method Details

### parsePartialFrom

public UnknownFieldSet parsePartialFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException
Description copied from interface: `Parser`
Like `Parser.parseFrom(CodedInputStream input, ExtensionRegistryLite)`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned.

Throws:
  `InvalidProtocolBufferException`